List Agent Profiles
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agent-profiles \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"items": [
{
"adblockActive": true,
"cachePersistence": true,
"captchaSolverActive": true,
"cookies": [
{
"domain": "<string>",
"httpOnly": true,
"key": "<string>",
"name": "<string>",
"secure": true,
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiry": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"credentials": [
{
"data": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"description": "<string>",
"extraStealth": true,
"forcePopupsAsTabsActive": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxEmail": "<string>",
"mediaBlockerActive": true,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pdfViewerActive": true,
"popupBlockerActive": true,
"stickyIP": true,
"tracingEnabled": true,
"updatedAt": "2023-11-07T05:31:56Z",
"customProxy": {
"server": "<string>",
"username": "<string>"
},
"inboxEmailPrefix": "<string>",
"proxyGatewayPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"page": 123,
"pageSize": 123,
"total": 123
}List Agent Profiles
List all agent profiles for an organization
GET
/
agent-profiles
List Agent Profiles
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agent-profiles \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"items": [
{
"adblockActive": true,
"cachePersistence": true,
"captchaSolverActive": true,
"cookies": [
{
"domain": "<string>",
"httpOnly": true,
"key": "<string>",
"name": "<string>",
"secure": true,
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiry": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"credentials": [
{
"data": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"description": "<string>",
"extraStealth": true,
"forcePopupsAsTabsActive": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxEmail": "<string>",
"mediaBlockerActive": true,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pdfViewerActive": true,
"popupBlockerActive": true,
"stickyIP": true,
"tracingEnabled": true,
"updatedAt": "2023-11-07T05:31:56Z",
"customProxy": {
"server": "<string>",
"username": "<string>"
},
"inboxEmailPrefix": "<string>",
"proxyGatewayPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"page": 123,
"pageSize": 123,
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Query Parameters
Filter by organization ID
Search profiles by name (partial match)
Available fields for sorting agent profiles
Available options:
name, created_at, updated_at Available options:
asc, desc ⌘I

